@REM (C) 2009-2013 Software Development Laboratories (aka "Fish" (David B. Trout))
@echo off

::------------------------------------------------------

echo.
echo *** BATCHBLD STARTED ***
echo.

set VCBUILDTYPE=%1
set SolutionDir=%~2
set SolutionPath=%SolutionDir%\foo.sln

call AutoBuildCount.cmd

if not defined svn_rev_num call svnrev.cmd "%SolutionDir%"
if not defined svn_rev_num (
  set "svn_rev_num=0"
  set "svn_rev_str=0"
)

::------------------------------------------------------

if not "%VS90COMNTOOLS%" == "" (

    rem note "vSvars.bat", not "vCvars.bat"!

    call "%VS90COMNTOOLS%vsvars32.bat"

) else if not "%VS80COMNTOOLS%" == "" (

    rem note "vSvars.bat", not "vCvars.bat"!

    call "%VS80COMNTOOLS%vsvars32.bat"

) else (

    echo %0: ERROR: Neither VS2005 nor VS2008 is installed!
    set rc=-1
    goto :error
)

::------------------------------------------------------

REM http://www.codeproject.com/KB/cpp/runjobs.aspx

runjobs "All-All.jobs"
set rc=%ERRORLEVEL%
if %rc% GTR 0 goto :error

::------------------------------------------------------

echo. 
echo *** BATCHBLD SUCCESSFUL COMPLETION ***
echo. 
call bldsound.cmd success
exit /B %rc%

::------------------------------------------------------
:error
echo. 
echo *** BATCHBLD ERRORS OR WARNINGS DETECTED ***
echo. 
::
::  Fish Note:  there's currently no way to tell whether
::              the failure was due to errors or warnings
::              so we pessimistically default to errors.
::
REM call bldsound.cmd warnings
    call bldsound.cmd errors
exit /B %rc%

::------------------------------------------------------
